Bug 625485 - XML report generated by report lib from within Anaconda is not valid XML
XML report generated by report lib from within Anaconda is not valid XML
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreport (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Denys Vlasenko
qe-baseos-tools
:
Depends On: 635116
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 11:23 EDT by David Kutálek
Modified: 2012-06-20 03:03 EDT (History)
4 users (show)

See Also:
Fixed In Version: libreport-2.0.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 635116 (view as bug list)
Environment:
Last Closed: 2012-06-20 03:03:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Report XML file generated by Anaconda - not a valid xml (218.65 KB, text/xml)
2010-08-19 11:23 EDT, David Kutálek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 15:29:03 EDT

  None (edit)
Description David Kutálek 2010-08-19 11:23:58 EDT
Created attachment 439715 [details]
Report XML file generated by Anaconda - not a valid xml

Description of problem:

XML report generated by report lib from within Anaconda is not valid XML:

---
[dkutalek@timothy]$ xmllint ~/Downloads/anaconda-tb-3XJ8VFbLypPT.xml 
/home/dkutalek/Downloads/anaconda-tb-3XJ8VFbLypPT.xml:851: parser error : PCDATA invalid Char value 8
04:25:56,951 INFO    : Writing inode tables:  3/63
                                                  ^
/home/dkutalek/Downloads/anaconda-tb-3XJ8VFbLypPT.xml:851: parser error : PCDATA invalid Char value 8
04:25:56,951 INFO    : Writing inode tables:  3/63
                                                   ^
/home/dkutalek/Downloads/anaconda-tb-3XJ8VFbLypPT.xml:851: parser error : PCDATA invalid Char value 8
04:25:56,951 INFO    : Writing inode tables:  3/63
                                                    ^
...
---

Assuming this is the report lib problem, not Anaconda problem.

Version-Release number of selected component (if applicable):

report-0.18-6.el6.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Run RHEL6 install in virtual machine, use broken updates image to get error at the end of installation - add this parameter to kernel command line: updates=http://akozumpl.fedorapeople.org/broken.img

2. Report problem to eg. scp target 
3. run xmllint on saved report xml file
  
Actual results:

report file is not valid xml

Expected results:

should be valid

Additional info:

See attachment for example file
Comment 1 Gavin Romig-Koch 2011-01-18 15:03:12 EST
xmllint is complaining about ^H characters in a log file that anaconda includes
in the report.
Comment 2 Gavin Romig-Koch 2011-01-26 13:35:23 EST
Clearing acks.  This is not easy to solve and not a serious problem.
Comment 5 RHEL Product and Program Management 2011-08-15 23:27:56 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 7 Denys Vlasenko 2012-01-19 08:53:15 EST
Fixed in git:

commit cb258b9052c2dcfaf95345416ae7d445c2fa75ae
Author: Denys Vlasenko <dvlasenk@redhat.com>
Date:   Thu Jan 19 14:51:42 2012 +0100

    On loading text problem data, escape control chars too
Comment 16 errata-xmlrpc 2012-06-20 03:03:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html

Note You need to log in before you can comment on or make changes to this bug.